org.apache.ode.bpel.pmapi

## Interface TScopeInfo.Children

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TScopeInfoImpl.ChildrenImpl
  Enclosing interface:
    TScopeInfo

      public static interface TScopeInfo.Children
      extends org.apache.xmlbeans.XmlObject

  An XML children(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TScopeInfo.Children.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TScopeRef` | `addNewChildRef()` Appends and returns a new empty value (as xml) as the last "child-ref" element
    `TScopeRef[]` | `getChildRefArray()` Deprecated.
    `TScopeRef` | `getChildRefArray(int i)` Gets ith "child-ref" element
    `java.util.List<TScopeRef>` | `getChildRefList()` Gets a List of "child-ref" elements
    `TScopeRef` | `insertNewChildRef(int i)` Inserts and returns a new empty value (as xml) as the ith "child-ref" element
    `void` | `removeChildRef(int i)` Removes the ith "child-ref" element
    `void` | `setChildRefArray(int i, TScopeRef childRef)` Sets ith "child-ref" element
    `void` | `setChildRefArray(TScopeRef[] childRefArray)` Sets array of all "child-ref" element
    `int` | `sizeOfChildRefArray()` Returns number of "child-ref" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getChildRefList

          java.util.List<TScopeRef> getChildRefList()

      Gets a List of "child-ref" elements

    - #### getChildRefArray

          @Deprecated
          TScopeRef[] getChildRefArray()

      Deprecated.
      Gets array of all "child-ref" elements

    - #### getChildRefArray

          TScopeRef getChildRefArray(int i)

      Gets ith "child-ref" element

    - #### sizeOfChildRefArray

          int sizeOfChildRefArray()

      Returns number of "child-ref" element

    - #### setChildRefArray

          void setChildRefArray(TScopeRef[] childRefArray)

      Sets array of all "child-ref" element

    - #### setChildRefArray

          void setChildRefArray(int i,
                              TScopeRef childRef)

      Sets ith "child-ref" element

    - #### insertNewChildRef

          TScopeRef insertNewChildRef(int i)

      Inserts and returns a new empty value (as xml) as the ith "child-ref" element

    - #### addNewChildRef

          TScopeRef addNewChildRef()

      Appends and returns a new empty value (as xml) as the last "child-ref" element

    - #### removeChildRef

          void removeChildRef(int i)

      Removes the ith "child-ref" element